#
# spec file for package libyaml
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           libyaml
Version:        0.1.3
Release:        0.10.16.1
#
License:        MIT
Group:          Development/Libraries/C and C++
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#
Url:            http://pyyaml.org/wiki/LibYAML
Source:         http://pyyaml.org/download/libyaml/yaml-0.1.3.tar.gz
Patch0:         CVE-2013-6393.patch
Patch1:         CVE-2014-2525.patch
Patch2:         CVE-2014-9130.patch
#
Summary:        A YAML 1.1 parser and emitter written in C

%description
A YAML 1.1 parser and emitter written in C

%define lib_name libyaml-0-2

%package -n %{lib_name}


Group:          Development/Libraries/C and C++
#
Summary:        Shared library from libyaml

%description -n %{lib_name}
A YAML 1.1 parser and emitter written in C

This package holds the shared library of libyaml.

%package devel


Group:          Development/Libraries/C and C++
Requires:       %{lib_name} = %{version}
#
Summary:        Development files for libyaml

%description devel
A YAML 1.1 parser and emitter written in C

This package holds the development files for libyaml.

%prep
%setup -n yaml-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure --with-pic --disable-static
make %{?_smp_flags}

%install
%makeinstall
find %{buildroot} -name \*.la -delete -print

%check
make check

%post   -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/libyaml-0.so.2
%{_libdir}/libyaml-0.so.2.0.1

%files devel
%defattr(-,root,root,-)
%{_includedir}/yaml.h
%{_libdir}/libyaml.so

%changelog
* Tue Dec  2 2014 jmassaguerpla@suse.com
- fix CVE-2014-9130: libyaml: assert failure when processing
  wrapped strings (bnc#907809)
  CVE-2014-9130.patch contains the fix
* Thu May 15 2014 mc@suse.de
- fix specfile and use Patch0: instead of only Patch:
* Wed Mar 19 2014 jmassaguerpla@suse.com
- fix CVE-2014-2525: libyaml: heap overflow during parsing (bnc#868944)
- added patches:
  * CVE-2014-2525.patch
* Fri Feb  7 2014 jmassaguerpla@suse.com
- fix CVE-2013-6393: libyaml: heap based buffer, overflow due to
  integer misuse, bnc#860617
- added patches:
  * CVE-2013-6393.patch
* Sun Jan 29 2012 jengelh@medozas.de
- Remove redundant tags/sections per specfile guideline suggestions
* Wed Feb  9 2011 pascal.bleser@opensuse.org
- fixed erroneous license from GPLv2 to MIT, bnc#670525
* Tue Apr  6 2010 mrueckert@suse.de
- initial package of version 0.1.3
